<app-header></app-header>
   <app-side-bar class='side-bar'></app-side-bar>

<h1 *ngIf = 'dataSource'>Displaying all {{dataSource.length}} users</h1>

   <div class="card"><table mat-table [dataSource]="dataSource" >
    <!-- Position Column -->
    <ng-container matColumnDef="demo-position">
      <th class="th" mat-header-cell *matHeaderCellDef> No. </th>
      <td class="td" mat-cell *matCellDef="let element"> {{element.id}} </td>
    </ng-container>

    <!-- Name Column -->
    <ng-container  matColumnDef="demo-name">
      <th class="th" mat-header-cell *matHeaderCellDef> Name </th>
      <td class="td" mat-cell *matCellDef="let element"> {{element.username}} </td>
    </ng-container>
  
    <!-- Weight Column -->
    <ng-container matColumnDef="demo-weight">
      <th class="th" mat-header-cell *matHeaderCellDef> Email </th>
      <td class="td" mat-cell *matCellDef="let element"> {{element.email}} </td>
    </ng-container>
  
    <!-- Symbol Column -->
    <ng-container matColumnDef="demo-symbol">
      <th class="th"  mat-header-cell *matHeaderCellDef> Phone </th>
      <td class="td"  mat-cell *matCellDef="let element"> {{element.phoneNumber}} </td>
    </ng-container>
    <ng-container matColumnDef="demo-actions">
        <th class="th"  mat-header-cell *matHeaderCellDef> Actions </th>
        <td class="td"  mat-cell *matCellDef="let element"> 
            <!-- <a [routerLink]="['/users/view',element.id]"> -->
              <button class="button" mat-fab color="primary" aria-label="Example icon button with a delete icon" (click)="openDialog(element.id)" >
                <mat-icon class="icon">visibility</mat-icon>
              </button>
            <!-- </a> -->
              <a [routerLink]="['/users/edit',element.id]"> <button class="button" mat-fab color="primary" aria-label="Example icon button with a delete icon">
                <mat-icon class="icon">edit</mat-icon>
              </button></a>
              <!-- <a [routerLink]="['/users/delete',element.id]">  -->
                 <button class="button" mat-fab color="primary" aria-label="Example icon button with a delete icon" (click)="delete(element.id)">
                <mat-icon class="icon">delete</mat-icon>
              </button>
            <!-- </a> -->
            
        </td>
        <!-- <app-view-user [userDetails] ='userDetails'></app-view-user> -->
      </ng-container>
    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  </table></div>
  <!-- Modal -->
<!-- <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        ...
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        <button type="button" class="btn btn-primary">Save changes</button>
      </div>
    </div>
  </div>
</div> -->